
public class OrderEntity
{
	// Private fields, to hold the order information
	private int orderID;
	private string customerID;
	private DateTime orderDate;
	private DateTime shippedDate;

	// Private field, to hold the order details information
	private DataSet orderDetails;
	
	// Public properties, to expose the order information
	public int OrderID
	{
		get { return orderID; }
		set { orderID = value; }
	}
	
	public string CustomerID
	{
		get { return customerID; }
		set { customerID = value; }
	}
	
	public DateTime OrderDate
	{
		get { return orderDate; }
		set { orderDate = value; }
	}
	
	public DateTime ShippedDate
	{
		get { return shippedDate; }
		set { shippedDate = value; }
	}
	
	// Public property, to expose the order details information
	public DataSet OrderDetails
	{
		get { return orderDetails; }
		set { orderDetails = value; }
	}
	
	// Additional method, to simplify access to order details information
	public bool IsProductOrdered(int productID)
	{
		// Primary key column must be defined in DataTable
		DataRow row = orderDetails.Tables[0].Rows.Find(productID);
		if (row != null)
			return true;
		else
			return false;
	}
	
	// Additional property, to simplify access to order details information
	public int NumberOfOrderItems
	{
		get
		{
			return orderDetails.Tables[0].Rows.Count;
		}
	}
}
